---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libjava_crw_demo.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _java_crw_demo, symObjAddr: 0x0, symBinAddr: 0x3ED8, symSize: 0x2B0C }
  - { offsetInCU: 0x1224, offset: 0x1224, size: 0x8, addend: 0x0, symName: _java_crw_demo, symObjAddr: 0x0, symBinAddr: 0x3ED8, symSize: 0x2B0C }
  - { offsetInCU: 0x530D, offset: 0x530D, size: 0x8, addend: 0x0, symName: _allocate, symObjAddr: 0x2B5F, symBinAddr: 0x6A37, symSize: 0x48 }
  - { offsetInCU: 0x5376, offset: 0x5376, size: 0x8, addend: 0x0, symName: _deallocate, symObjAddr: 0x2BA7, symBinAddr: 0x6A7F, symSize: 0x22 }
  - { offsetInCU: 0x538E, offset: 0x538E, size: 0x8, addend: 0x0, symName: _copyU4, symObjAddr: 0x31E8, symBinAddr: 0x70C0, symSize: 0x60 }
  - { offsetInCU: 0x54C2, offset: 0x54C2, size: 0x8, addend: 0x0, symName: _cpool_setup, symObjAddr: 0x2DCC, symBinAddr: 0x6CA4, symSize: 0x41C }
  - { offsetInCU: 0x593E, offset: 0x593E, size: 0x8, addend: 0x0, symName: _copy_attributes, symObjAddr: 0x32EB, symBinAddr: 0x71C3, symSize: 0x3A }
  - { offsetInCU: 0x59FC, offset: 0x59FC, size: 0x8, addend: 0x0, symName: _allocate_clean, symObjAddr: 0x3397, symBinAddr: 0x726F, symSize: 0x4D }
  - { offsetInCU: 0x5A65, offset: 0x5A65, size: 0x8, addend: 0x0, symName: _attribute_match, symObjAddr: 0x33E4, symBinAddr: 0x72BC, symSize: 0x58 }
  - { offsetInCU: 0x5A7D, offset: 0x5A7D, size: 0x8, addend: 0x0, symName: _attribute_match, symObjAddr: 0x33E4, symBinAddr: 0x72BC, symSize: 0x58 }
  - { offsetInCU: 0x5AFD, offset: 0x5AFD, size: 0x8, addend: 0x0, symName: _injection_template, symObjAddr: 0x34E0, symBinAddr: 0x73B8, symSize: 0x112 }
  - { offsetInCU: 0x5C37, offset: 0x5C37, size: 0x8, addend: 0x0, symName: _inject_bytecodes, symObjAddr: 0x343C, symBinAddr: 0x7314, symSize: 0xA4 }
  - { offsetInCU: 0x5CCA, offset: 0x5CCA, size: 0x8, addend: 0x0, symName: _verify_opc_wide, symObjAddr: 0x35F2, symBinAddr: 0x74CA, symSize: 0x3D }
  - { offsetInCU: 0x5D04, offset: 0x5D04, size: 0x8, addend: 0x0, symName: _write_var_table, symObjAddr: 0x362F, symBinAddr: 0x7507, symSize: 0x11B }
  - { offsetInCU: 0x5D16, offset: 0x5D16, size: 0x8, addend: 0x0, symName: _writeU4, symObjAddr: 0x3325, symBinAddr: 0x71FD, symSize: 0x72 }
  - { offsetInCU: 0x5E1F, offset: 0x5E1F, size: 0x8, addend: 0x0, symName: _copy, symObjAddr: 0x32AC, symBinAddr: 0x7184, symSize: 0x3F }
  - { offsetInCU: 0x5E45, offset: 0x5E45, size: 0x8, addend: 0x0, symName: _copyU2, symObjAddr: 0x3248, symBinAddr: 0x7120, symSize: 0x64 }
  - { offsetInCU: 0x5F13, offset: 0x5F13, size: 0x8, addend: 0x0, symName: _write_var_table, symObjAddr: 0x362F, symBinAddr: 0x7507, symSize: 0x11B }
  - { offsetInCU: 0x61CF, offset: 0x61CF, size: 0x8, addend: 0x0, symName: _readUoffset, symObjAddr: 0x381E, symBinAddr: 0x76F6, symSize: 0x6E }
  - { offsetInCU: 0x62FC, offset: 0x62FC, size: 0x8, addend: 0x0, symName: _writeUoffset, symObjAddr: 0x374A, symBinAddr: 0x7622, symSize: 0x5D }
  - { offsetInCU: 0x63B9, offset: 0x63B9, size: 0x8, addend: 0x0, symName: _copy_verification_types, symObjAddr: 0x37A7, symBinAddr: 0x767F, symSize: 0x77 }
  - { offsetInCU: 0x64DC, offset: 0x64DC, size: 0x8, addend: 0x0, symName: _deallocate, symObjAddr: 0x2BA7, symBinAddr: 0x6A7F, symSize: 0x22 }
  - { offsetInCU: 0x6505, offset: 0x6505, size: 0x8, addend: 0x0, symName: _cleanup, symObjAddr: 0x2BC9, symBinAddr: 0x6AA1, symSize: 0xC3 }
  - { offsetInCU: 0x6517, offset: 0x6517, size: 0x8, addend: 0x0, symName: _fatal_error, symObjAddr: 0x2B0C, symBinAddr: 0x69E4, symSize: 0x53 }
  - { offsetInCU: 0x6576, offset: 0x6576, size: 0x8, addend: 0x0, symName: _cleanup, symObjAddr: 0x2BC9, symBinAddr: 0x6AA1, symSize: 0xC3 }
  - { offsetInCU: 0x665F, offset: 0x665F, size: 0x8, addend: 0x0, symName: _java_crw_demo_classname, symObjAddr: 0x2C8C, symBinAddr: 0x6B64, symSize: 0x140 }
  - { offsetInCU: 0x698D, offset: 0x698D, size: 0x8, addend: 0x0, symName: _add_new_cpool_entry, symObjAddr: 0x388C, symBinAddr: 0x7764, symSize: 0x268 }
  - { offsetInCU: 0x6CAF, offset: 0x6CAF, size: 0x8, addend: 0x0, symName: _add_new_method_cpool_entry, symObjAddr: 0x3AF4, symBinAddr: 0x79CC, symSize: 0x91 }
...
